---
title: Document.hidden
slug: Web/API/Document/hidden
tags:
  - DOM
  - Document
  - Page Visibility API
  - Property
  - Read-only
  - Reference
  - Web
---
<p>{{ ApiRef("DOM") }}</p>

<p>The <code><strong>Document.hidden</strong></code> read-only property returns a Boolean value indicating if the page is considered hidden or not.</p>

<div class="note">
<p>This property is described as "historical" in the <a href="https://www.w3.org/TR/page-visibility-2/">Page Visibility Level 2 specification</a>. Consider using the {{domxref("Document.visibilityState")}} property instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>boolean</var> = document.hidden</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush:js; notranslate">document.addEventListener("visibilitychange", function() {
  console.log( document.hidden );
  // Modify behavior...
});
</pre>

<h2 id="Usage_notes">Usage notes</h2>

<div class="warning">
<p>Due to prerendering, it may happen that <code>document.hidden</code> is <code>true</code>, even if the page is actually visible to the user. In such scenario the page load starts with <code><a href="/en-US/docs/Web/API/Document/visibilityState">document.visibilityState</a> = "prerender"</code> and transitions to <code>document.visibilityState = "visible"</code> after some delay. This scenario can be reproduced by opening a new browser tab in Safari, pasting a URL in the URL bar, and navigating to that URL.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Page Visibility API','#dom-document-hidden', 'Document.hidden')}}</td>
   <td>{{Spec2('Page Visibility API')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.hidden")}}</p>
